package com.example.lfrmobileapp.ui.home;

import androidx.lifecycle.LiveData;
import androidx.lifecycle.MutableLiveData;
import androidx.lifecycle.ViewModel;

public class HomeViewModel extends ViewModel {

    private final MutableLiveData<String> mText;

    public HomeViewModel() {
        mText = new MutableLiveData<>();
        mText.setValue("Bewege den Punkt zum steuern des Roboters");
    }

    public LiveData<String>setText(String angle, String strength){
        mText.setValue("Winkel: "+ angle + "      Verstärkung: " + strength);
        return mText;
    };

    public LiveData<String> getText() {
        return mText;
    }
}